SWI(1)

NAME
swipl-rc - SWI-Prolog resource archiver

SYNOPSIS
swipl-rc command resource-file member ...

DESCRIPTION
The utility swipl-rc allows for examining and modifying the SWI-Prolog resource data associated with a SWI-Prolog save-state or runtime executable as created using SWI-Prolog's predicate qsave_program/[1,2].

  Options

l archive [member ...]
    List the contents of the resource archive. If no members are specified, the entire content is listed.

x archive [member ...]
    Extract members from the archive into the current directory. If no members are specified, the entire content is extracted. Each member is extracted into a file with the same name as the archive member.

a archive [member ...]
    Add files to the archive. If the archive already contains a member with the same name, the contents is replaced. Anywhere in the sequence of members, the options --class=class and --encoding=encoding may appear. They affect the class and encoding of subsequent files. The initial class is data and encoding none.

d archive member ...
    Delete members from the archive.

BUGS
None sofar.

SEE ALSO
pl(1) plld(1) SWI-Prolog Reference Manual http://www.swi-prolog.org

COPYRIGHT
Copyright (C) 1991-2010, University of Amsterdam, VU University, Amsterdam This program may be used under the terms of the LGPL, version 2 or later.

AUTHOR
Jan Wielemaker